Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 21 Aug 2014, 02:18
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Filesystem
VideoThumbnail in rox
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [13 Posts]  
Author Message
papos


Joined: 21 Dec 2006
Posts: 120
Location: france

PostPosted: Thu 16 Dec 2010, 04:13    Post subject:  VideoThumbnail in rox
Subject description: install VideoThumbnail for rox, geeqie drag and drop
 

This is a helper program for ROX-Filer. It provides images for video files. It repackages my vidthumb.py script as a fully-fledged application directory.
Note: you need at least version 2.1.1 of ROX-Filer and 2.0.4 of ROX-Lib2
http://www.kerofin.demon.co.uk/rox/VideoThumbnail.html
I test it on lupu511 diaboluq who have ROX-Filer and python
I installed ROX-Lib2

updated pet
videothumbnail with_dv-rm-flv-mp4-avi-mpeg
roxlib is include in this pet
videothumbnail_dv-rm-flv-mp4.pet
Description  videothumbnail-0.1.14 +roxlib2-2.06.
with_dv-rm-flv-mp4-avi-mpeg
pet

 Download 
Filename  videothumbnail_dv-rm-flv-mp4.pet 
Filesize  210.89 KB 
Downloaded  731 Time(s) 

Last edited by papos on Thu 20 Jan 2011, 11:51; edited 2 times in total
Back to top
View user's profile Send private message Visit poster's website 
neurino


Joined: 15 Oct 2009
Posts: 360

PostPosted: Sun 26 Dec 2010, 17:08    Post subject: Re: VideoThumbnail in rox
Subject description: problem to install
 

papos wrote:
This is a helper program for ROX-Filer. It provides images for video files. It repackages my vidthumb.py script as a fully-fledged application directory.
Note: you need at least version 2.1.1 of ROX-Filer and 2.0.4 of ROX-Lib2
http://www.kerofin.demon.co.uk/rox/VideoThumbnail.html
I test it on lupu511 diaboluq who have ROX-Filer and python
I installed ROX-Lib2

but I have this problem
Quote:
# ./AppRun
Traceback (most recent call last):
File "./AppRun", line 8, in <module>
import findrox; findrox.version(2, 0, 2)
File "/root/my-applications/VideoThumbnail/findrox.py", line 60, in version
import rox
File "/usr/lib/ROX-Lib2/python/rox/__init__.py", line 72, in <module>
sys.stderr.write(_('The pygtk2 package (2.0.0 or later) must be '
UnicodeEncodeError: 'ascii' codec can't encode character u'\xe9' in position 38: ordinal not in range(128)

#some help?


It's an encoding problem in python, should be easy to solve, can you post the full line 72 in /usr/lib/ROX-Lib2/python/rox/__init__.py (and surroundings)?

Anyway the error comes from a write to standard error so I guess solving this encoding error will lead to the real exception raised...
Back to top
View user's profile Send private message 
Flash
Official Dog Handler


Joined: 04 May 2005
Posts: 11014
Location: Arizona USA

PostPosted: Mon 27 Dec 2010, 00:10    Post subject:  

Since ROX is a file handling program, should I move this to the Filesystem section?

The idea is to put it where people are most likely to look if they're looking for a program like this.
Back to top
View user's profile Send private message 
papos


Joined: 21 Dec 2006
Posts: 120
Location: france

PostPosted: Mon 27 Dec 2010, 06:06    Post subject:  

Thanks to look

Quote:
71 except:
72 sys.stderr.write(_('The pygtk2 package (2.0.0 or later) must be '
73 'installed to use this program:\n'
74 'http://rox.sourceforge.net/desktop/ROX-Lib\n'))
75 raise



tested in wary102
http://distro.ibiblio.org/pub/linux/distributions/quirky/wary-104/
with
http://distro.ibiblio.org/pub/linux/distributions/quirky/pet_packages-wary5/python_DEV-2.6.4-w5.pet
http://sourceforge.net/projects/rox/files/ROX-Lib/2.0.6/rox-lib2-2.0.6.tar.bz2/download
ROX-Filer 20100408smw-patched included in wary104
http://bkhome.org/blog/?viewDetailed=01570



<<Since ROX is a file handling program, should I move this to the Filesystem section? >>
this program is useful for all desktop manager that use Rox like jwm enlightment or xfe, most of Rox are published here?
Thanks
Back to top
View user's profile Send private message Visit poster's website 
neurino


Joined: 15 Oct 2009
Posts: 360

PostPosted: Mon 27 Dec 2010, 06:14    Post subject:  

Quote:
71 except:
72 sys.stderr.write(_('The pygtk2 package (2.0.0 or later) must be '
73 'installed to use this program:\n'
74 'http://rox.sourceforge.net/desktop/ROX-Lib\n'))
75 raise


Well the full string does not contain unicode chars, I should know what the _ def contains:

Code:

def _(self, whatever):
    ...


it probably adds some unicode char to the string...
Anyway you can read by yourself the exception that would be raised once this encoding problem is solved: pygtk2 package is not installed or detected or its version is lower than 2.0.0.

There are pygtk2 pets around, try installing one, if you get the same problem again try:

Code:

#python
>>>import pygtk2
>>>pygtk.__version__


and see what version you have
Back to top
View user's profile Send private message 
papos


Joined: 21 Dec 2006
Posts: 120
Location: france

PostPosted: Wed 29 Dec 2010, 04:29    Post subject:  

can't find a correct python-gtk2_2
most are linked to python 2.5
and deb http://packages.debian.org/source/sid/pygtk is not linked correctly with python_DEV-2.6.4-w5.pet
Back to top
View user's profile Send private message Visit poster's website 
neurino


Joined: 15 Oct 2009
Posts: 360

PostPosted: Wed 29 Dec 2010, 05:53    Post subject:  

papos wrote:
can't find a correct python-gtk2_2
most are linked to python 2.5
and deb http://packages.debian.org/source/sid/pygtk is not linked correctly with python_DEV-2.6.4-w5.pet


Did you tried easy_installing it?
Back to top
View user's profile Send private message 
papos


Joined: 21 Dec 2006
Posts: 120
Location: france

PostPosted: Thu 06 Jan 2011, 04:49    Post subject:  

neurino wrote:<Did you tried easy_installing it?>
easy_install require apt dpkg, unvailaible under puppy (gslapt work)

succes tested work well in diaboluq
Well drag and drop application with openshoot, kino etc

install first
rox-lib2-2.06
and videothumbnail


I have compiled Booh a very usefull fotos videos explorer with thumbnails and static Web-Album generator, compiled with lupu511.
booh
rox-lib2-2.06.pet
Description 
pet

 Download 
Filename  rox-lib2-2.06.pet 
Filesize  186.85 KB 
Downloaded  582 Time(s) 
videothumbnail-0.1.14_python_u5.pet
Description 
pet

 Download 
Filename  videothumbnail-0.1.14_python_u5.pet 
Filesize  28.88 KB 
Downloaded  562 Time(s) 
Back to top
View user's profile Send private message Visit poster's website 
neurino


Joined: 15 Oct 2009
Posts: 360

PostPosted: Thu 06 Jan 2011, 16:08    Post subject:  

papos wrote:

easy_install require apt dpkg, unvailaible under puppy (gslapt work)


What??? You mean installing easy_install itself or python-gtk2_2?

Installin' easy_install is no more than running a shell script.
Back to top
View user's profile Send private message 
papos


Joined: 21 Dec 2006
Posts: 120
Location: france

PostPosted: Sat 08 Jan 2011, 06:12    Post subject:  

I look further for easy install in forum Utilities

with videothumbnail rox-lib2-2.06 we have thumbnails also in gqview
just in gqview mark |edit |preference| files| show iden files
look further to play video in geeqie(just with one click;-)

see also
filemanageer with videothumbnails
Back to top
View user's profile Send private message Visit poster's website 
neurino


Joined: 15 Oct 2009
Posts: 360

PostPosted: Sat 08 Jan 2011, 07:21    Post subject:  

Not everithing that works in puppy needs a pet...

Go here:
http://pypi.python.org/pypi/setuptools

download egg file for your python version and run it as a shell script. You're done.

Ex. for python 2.6:

Code:

# wget http://pypi.python.org/packages/2.6/s/setuptools/setuptools-0.6c11-py2.6.egg#md5=bfa92100bd772d5a213eedd356d64086
# chmod a+x setuptools-0.6c11-py2.6.egg
# ./setuptools-0.6c11-py2.6.egg

Now you can easy_install from python package index:

# easy_install somepackage
Back to top
View user's profile Send private message 
papos


Joined: 21 Dec 2006
Posts: 120
Location: france

PostPosted: Thu 20 Jan 2011, 11:42    Post subject:  

thanks for report

update a new pet with thumbnails for flv rm dv mp4
see first post
Back to top
View user's profile Send private message Visit poster's website 
live

Joined: 10 Feb 2010
Posts: 155

PostPosted: Sat 26 Apr 2014, 11:28    Post subject:  

Under Retro Precise 571

I've installed zeroinstall and its dependicies from PPM

Then

ROX>Options>Thumbnails>Video Thumbnails
download a bunch of handlers, that I can see under "Install type handers".

Once (I don't know how) I manage to have video thumbnail, though not for all codecs.

Now, everytime I try with a fresh Retro P571 I failed to view the thumbnails.
If I go to ROX>Options>Thumbnails>Video Thumbnails>manage MIME type and drop a video, I do view a thumbnail, but seems not to save the changes.

Thanks for helping
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [13 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Filesystem
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0926s ][ Queries: 13 (0.0190s) ][ GZIP on ]